package com.mixel.docusphere;

import org.springframework.boot.SpringApplication;
import org.springframework.boot.autoconfigure.SpringBootApplication;
import org.springframework.web.bind.annotation.GetMapping;
import org.springframework.web.bind.annotation.RestController;

@SpringBootApplication
@RestController
public class DocuSphereApplication {

    public static void main(String[] args) {
        SpringApplication.run(DocuSphereApplication.class, args);
    }

    @GetMapping("/hello")
    public String helloWorld() {
        return "Hello World!";
    }

    @GetMapping("/")
    private SomeImportantData index() {
        return new SomeImportantData(
                "Important keep secret",
                new Person("SomeObscure Person", 96,
                        new FavLanguage("Java", true, 'J') //Although the compiled status is a lie i mean kind of
                )
        );
    }

    record SomeImportantData(String name, Person person) {}

    record Person(String name, int age, FavLanguage favLanguage) {}

    record FavLanguage(String name, Boolean compiled, Character FirstCharacter) {}
}
